Subject: RE: using times()
From: [email-masked] (Earnie Boyd)

22 Sep 1997 08:31:29 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked], [email-masked], [email-masked]

>From: "Valery Fine" <[email-masked]>
>To: Sergey Okhapkin <[email-masked]>, [email-masked]
>Date: Mon, 22 Sep 1997 13:56:18 +0100
>Subject: RE: using times()
>
>On 22 Sep 97 at 14:15, Sergey Okhapkin wrote:
>
>
>> Valery Fine wrote:
>> > On 22 Sep 97 at 8:33, Sergey Okhapkin wrote:
>> > 
>> > 
>> > > times() call works on NT only. The underlying syscall
>> > > GetProcessTimes() unimplemented on windows 95. The output of your
>> > > examle looks the following on my box (NT4.0 SP3):
>> > 
>> >   Probably like this would be better then just ZERO:
>> > 
>> 
>> I'm not sure. Probably, it's better to return -1 and to set errno to
>> ENOSYS, rather than return incorrect value.
>
>  It would be as correct as the user's OS (namely Win95) provides
>  Since calling that API user wants (I guess) to estimate the time 
>                                                 ========
>  and this incorrect value may help him but  ENOSYS ?
>
>  Anyway it can not be absolutely precise value for any system. There 
>is some error anyway. This error will be large for Win95. For this 
>case the 
>
>                "REAL exact value" <= "supplied"
>
> and it will be not far from the real one if the user's system is 
> running a single process.
>
> Is it wrong ?
>                   Valery
>Dr. Valeri Faine (Valery Fine)
>    ------------ -------------   Phone: +41 22 767 4921
>CERN                             FAX  : +41 22 767 7155
>CH-1211 Geneva, 23               mailto:[email-masked] 
>Switzerland                      http://nicewww.cern.ch/~fine
>                                 
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

I agree with Valery.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".